### Hierarchy

- Base

## Index

### Constructors

- constructor

### Accessors

- accountManager
- dataRequestManager
- defaultTransport
- externalServicesManager
- offerManager
- offerRankManager
- profileManager
- searchManager
- verifyManager
- walletManager

### Methods

- changeStrategy

## Constructors

### constructor

- new Base(nodeHost: string, siteOrigin: string, strategy?: RepositoryStrategyType, signerHost?: string, loggerService?: Logger): Base

- - Defined in Base.ts:230

  #### Parameters

  - ##### nodeHost: string

  - ##### siteOrigin: string

  - ##### Default value strategy: RepositoryStrategyType = RepositoryStrategyType.Postgres

  - ##### Default value signerHost: string = ""

  - ##### Optional loggerService: Logger

  #### Returns Base

## Accessors

### accountManager

- get accountManager(): AccountManager

- - Defined in Base.ts:332

  #### Returns AccountManager

### dataRequestManager

- get dataRequestManager(): DataRequestManager

- - Defined in Base.ts:340

  #### Returns DataRequestManager

### defaultTransport

- get defaultTransport(): HttpTransport

- - Defined in Base.ts:324

  #### Returns HttpTransport

### externalServicesManager

- get externalServicesManager(): ExternalServicesManager

- - Defined in Base.ts:356

  #### Returns ExternalServicesManager

### offerManager

- get offerManager(): OfferManager

- - Defined in Base.ts:344

  #### Returns OfferManager

### offerRankManager

- get offerRankManager(): OfferRankManager

- - Defined in Base.ts:360

  #### Returns OfferRankManager

### profileManager

- get profileManager(): ProfileManager

- - Defined in Base.ts:336

  #### Returns ProfileManager

### searchManager

- get searchManager(): SearchManager

- - Defined in Base.ts:348

  #### Returns SearchManager

### verifyManager

- get verifyManager(): VerifyManager

- - Defined in Base.ts:352

  #### Returns VerifyManager

### walletManager

- get walletManager(): WalletManager

- - Defined in Base.ts:328

  #### Returns WalletManager

## Methods

### changeStrategy

- changeStrategy(strategy: RepositoryStrategyType): void

- - Defined in Base.ts:320

  #### Parameters

  - ##### strategy: RepositoryStrategyType

  #### Returns void

Generated using TypeDoc